package io.synor.dex;

/**
 * DEX SDK Exception
 */
public class DexException extends RuntimeException {
    private final String code;
    private final int status;

    public DexException(String message, String code, int status) {
        super(message);
        this.code = code;
        this.status = status;
    }

    public String getCode() {
        return code;
    }

    public int getStatus() {
        return status;
    }
}
